Module javafx.base
Package javafx.beans.value

# Interface ObservableBooleanValue

All Superinterfaces:
  `Observable`, `ObservableValue<Boolean>`

All Known Implementing Classes:
  `BooleanBinding`, `BooleanExpression`, `BooleanProperty`, `BooleanPropertyBase`, `JavaBeanBooleanProperty`, `ReadOnlyBooleanProperty`, `ReadOnlyBooleanPropertyBase`, `ReadOnlyBooleanWrapper`, `ReadOnlyJavaBeanBooleanProperty`, `SimpleBooleanProperty`, `SimpleStyleableBooleanProperty`, `StyleableBooleanProperty`

public interface ObservableBooleanValue extends ObservableValue<Boolean>
An observable boolean value.

Since:
  JavaFX 2.0
See Also:
  - `ObservableValue`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`get()`
Returns the current value of this `ObservableBooleanValue`.

### Methods inherited from interface javafx.beans.Observable

`addListener, removeListener`

### Methods inherited from interface javafx.beans.value.ObservableValue

`addListener, getValue, removeListener`

## Method Details

### get

boolean get()
Returns the current value of this `ObservableBooleanValue`.

Returns:
  The current value